WordPress.org

Support

Support » Themes and Templates » jQuery is disabled and this widget needs it

jQuery is disabled and this widget needs it

  • Site: http://metacomedy.com/

    Theme: mystique

    Error: “jQuery is disabled and this widget needs it”

    Tried: (1) in headers.php, added wp_enqueue_script(‘jquery’); before wp_head(); and (2) adding jquery.js to the mystique theme folder.

    What else might one try?

    Best,
    metacomedy

Viewing 10 replies - 1 through 10 (of 10 total)
  • What widgets are those? Because jquery is not disabled on your site, and is in fact loading just fine.

    Ah, perhaps I simply haven’t yet configured those widgets, and they came as defaults with the theme?

    I am having the same issue.

    I use Mystique on another website. However, I just installed WordPress MU and installed Mystique and I get the same error on the widgets.

    I’m also having this error on my site as I wanted to try out this awesome looking theme!

    site: http://stinebaugh.info

    I’ve also added the jquery-1.3.2.js file to my theme’s directory , tried renaming it to jsquery.js like posted above, but still no luck, I’m not sure if I need to add anything to the header.php file like the first post mentioned and if so the exact code would be appreciated, as it shouldnt be that hard to do.

    Thanks in advance!

    Try going to “Mystique settings” -> General and click on the “Reset to Defaults” button. It worked for me.

    that message should only display when jQuery is disabled form the theme settings/advanced page…

    It’s probably the Dashboard which needs jQuery. Try adding this to your theme’s functions.php, as that loads both in the frontend and backend:

    function mytheme_init() {
    	wp_enqueue_script('jquery');
    	wp_enqueue_script('jquery-ui-core');
    }
    add_action('init', 'mytheme_init');

    This will enqueue jQuery for both front and back …

    oops my mistake. the default settings are not installed because of a bug, so many options are disabled, including jquery.

    those who are using mystique 1.61, press the reset settings button to fix this.

    Thanks for the quick responses! That worked a treat, and I love how powerful your theme is! So Customizable! Great Work!

    Such great work I just made a small donation! Really an awesome theme!

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘jQuery is disabled and this widget needs it’ is closed to new replies.
Skip to toolbar